=== requirements.txt ===
cffi==1.14.1
colorlog
cryptography==3.4.6
importlib-metadata==3.7.2
mypy==0.740
numpy==1.20.2
PyQt5==5.15.2
PyQt5-sip==12.8.1
scipy==1.6.1
shapely[vectorized]==1.7.1
twisted==21.2.0
typing
appdirs==1.4.3
certifi==2019.11.28
chardet==3.0.4
decorator==4.4.0
idna==2.8
netifaces==0.10.9
networkx==2.3
numpy-stl==2.10.1
packaging==18.0
pycollada==0.6
pycparser==2.19
pyparsing==2.4.2
pyserial==3.4
pytest
python-dateutil==2.8.0
python-utils==2.3.0
requests==2.22.0
sentry-sdk==0.13.5
six==1.12.0
trimesh==3.2.33
zeroconf==0.24.1
comtypes==1.1.7
pywin32==300
keyring==23.0.1
